## Apache Zeta Components Manual :: Docs For Class ezcMvcHttpRequestParser

### MvcTools::ezcMvcHttpRequestParser

### Class ezcMvcHttpRequestParser

Request parser that uses HTTP headers to populate an ezcMvcRequest object.

Source for this file: /MvcTools/src/request_parsers/http.php

    ezcMvcRequestParser
       |
       --ezcMvcHttpRequestParser

Version: | //autogentag//

### Inherited Member Variables

From ezcMvcRequestParser
protected | `ezcMvcRequestParser::$properties`
protected | `ezcMvcRequestParser::$request`

### Method Summary

public ezcMvcRequest | `createRequest( )` Uses the data from the superglobals.
protected ezcMvcRequest | `createRequestObject( )` Creates and returns an ezcMvcRequest object.
protected void | `processAcceptHeaders( )` Proccesses the HTTP Accept headers into the ezcMvcRequestAccept struct.
protected void | `processAuthVars( )` Processes the basic HTTP auth variables is set
protected void | `processBody( )` Processes the request body for PUT requests.
protected void | `processCookies( )` Process cookies
protected void | `processDate( )` Processes the request date.
protected void | `processFiles( )` Processes uploaded files.
protected void | `processHost( )` Processes the request host.
protected void | `processProtocol( )` Processes the request protocol.
protected void | `processReferrer( )` Processes the referrer.
protected void | `processRequestId( )` Processes the request ID from host and URI.
protected void | `processStandardHeaders( )` Processes the standard headers that are not subdivided into other structs.
protected void | `processUri( )` Processes the request URI.
protected void | `processUserAgentHeaders( )` Proccesses the User Agent header into the ezcMvcRequestUserAgent struct.
protected void | `processVariables( )` Processes the request variables.

### Inherited Methods

From ezcMvcRequestParser
public ezcMvcRequestParser | `ezcMvcRequestParser::__construct()` Constructs a new request parser
public abstract ezcMvcRequest | `ezcMvcRequestParser::createRequest()` Reads the raw request data with what ever means necessary and constructs an ezcMvcRequest object.

### Methods

#### createRequest

ezcMvcRequest createRequest( )

Uses the data from the superglobals.

##### Redefinition of:

Method | Description
--- | ---
`ezcMvcRequestParser::createRequest()` | Reads the raw request data with what ever means necessary and constructs an ezcMvcRequest object.

#### createRequestObject

ezcMvcRequest createRequestObject( )

Creates and returns an ezcMvcRequest object.

#### processAcceptHeaders

void processAcceptHeaders( )

Proccesses the HTTP Accept headers into the ezcMvcRequestAccept struct.

#### processAuthVars

void processAuthVars( )

Processes the basic HTTP auth variables is set

#### processBody

void processBody( )

Processes the request body for PUT requests.

#### processCookies

void processCookies( )

Process cookies

#### processDate

void processDate( )

Processes the request date.

#### processFiles

void processFiles( )

Processes uploaded files.

#### processHost

void processHost( )

Processes the request host.

#### processProtocol

void processProtocol( )

Processes the request protocol.

#### processReferrer

void processReferrer( )

Processes the referrer.

#### processRequestId

void processRequestId( )

Processes the request ID from host and URI.

#### processStandardHeaders

void processStandardHeaders( )

Processes the standard headers that are not subdivided into other structs.

#### processUri

void processUri( )

Processes the request URI.

#### processUserAgentHeaders

void processUserAgentHeaders( )

Proccesses the User Agent header into the ezcMvcRequestUserAgent struct.

#### processVariables

void processVariables( )

Processes the request variables.

Documentation generated by phpDocumentor 1.4.3